summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2009-09-06 23:31:47 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2009-09-06 23:31:47 +0000
commit20272d82cf5cd3b3458a01811603db9e05cb599a (patch)
tree5b8b54b810f63b30ae34c51943ebed68b24f04c5 /eclass
parentBug 28330: Provide a function to get the source or running version sanely. (diff)
downloadhistorical-20272d82cf5cd3b3458a01811603db9e05cb599a.tar.gz
historical-20272d82cf5cd3b3458a01811603db9e05cb599a.tar.bz2
historical-20272d82cf5cd3b3458a01811603db9e05cb599a.zip
Bug 283320: Minor bug from the refactoring.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/linux-info.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/linux-info.eclass b/eclass/linux-info.eclass
index a5823f093007..30ecd9bf05ab 100644
--- a/eclass/linux-info.eclass
+++ b/eclass/linux-info.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.66 2009/09/06 23:24:49 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.67 2009/09/06 23:31:47 robbat2 Exp $
#
# Original author: John Mylchreest <johnm@gentoo.org>
# Maintainer: kernel-misc@gentoo.org
@@ -566,7 +566,7 @@ get_running_version() {
# the version of the running kernel.
linux-info_get_any_version() {
get_version
- if [[ $rc -ne 0 ]]; then
+ if [[ $? -ne 0 ]]; then
ewarn "Unable to calculate Linux Kernel version for build, attempting to use running version"
get_running_version
fi